Project

General

Profile

Bug #10324

[PATCH] do not link openssl to ext/digest/xxx when using --with-bundled-xxx

Added by luizluca (Luiz Angelo Daros de Luca) over 5 years ago. Updated over 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
ruby -v:
ruby 2.1.3p242 (2014-09-19 revision 47630) [i486-linux-gnu]
[ruby-core:65404]

Description

Hello,

Ruby uses bundled digest implemetation when openssl is not avaiable. I also can select them using
configure option --with-bundled-xxx. However, even using it, openssl is still linked to ext/digest//.so

In extconf.rb, dir_config and pkg_config are called before the with_config is tested.
So, dir_config or pkg_config (sorry for my ignorance) adds openssl to be linked.

This patch tests for with-bundled before checking/selecting openssl.
It depends on the patch from bug #10252

As I'm no extconf expert, maybe there is a much better way to achieve the same result.


Files

004-digest_dont-link-ssl-if-not-needed.patch (3.49 KB) 004-digest_dont-link-ssl-if-not-needed.patch luizluca (Luiz Angelo Daros de Luca), 10/04/2014 08:50 PM

Updated by nobu (Nobuyoshi Nakada) over 5 years ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

Applied in changeset r47802.


digest/*/extconf.rb: do not link openssl when using bundled

  • ext/digest/{md5,rmd160,sha1,sha2}/extconf.rb: configure OpenSSL only if bundled libraries is not used, so that OpenSSL is not linked unnecessarily. [ruby-core:65404] [Bug #10324]

Also available in: Atom PDF